Modify

Opened 7 months ago

Closed 7 months ago

Last modified 4 months ago

#18082 closed defect (worksforme)

ClassCastException with Java 9

Reported by: grinapo Owned by: grinapo
Priority: normal Milestone:
Component: Core Version:
Keywords: template_report java9 Cc:

Description

What steps will reproduce the problem?

  1. select existing node barrier=gate
  2. click 'gate' preset
  3. click "foot"

What is the expected result?

No crash

What happens instead?

Crash

Please provide any additional information below. Attach a screenshot if possible.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2019-08-26 08:55:27 +0200 (Mon, 26 Aug 2019)
Revision:15322
Build-Date:2019-08-26 06:57:10
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (15322 en) Linux Debian GNU/Linux unstable (sid)
Memory Usage: 726 MB / 8004 MB (178 MB allocated, but free)
Java version: 9.0.4+12-Debian-2, Oracle Corporation, OpenJDK 64-Bit Server VM
Screen: :0.0 1920x1080, :0.1 3840x2160
Maximum Screen Size: 3840x2160
Java package: openjdk-9-jre:amd64-9.0.4+12-2
Java ATK Wrapper package: libatk-wrapper-java:all-0.33.3-13
libcommons-compress-java: libcommons-compress-java:all-1.13-1
libcommons-logging-java: libcommons-logging-java:all-1.2-1
fonts-noto: fonts-noto:all-20181227-1
liboauth-signpost-java: liboauth-signpost-java:all-1.2.1.2-1.5
Dataset consistency test: No problems found

Plugins:
+ AddrInterpolation (34908)
+ DirectUpload (35041)
+ FixAddresses (34977)
+ HouseNumberTaggingTool (34977)
+ ImproveOsm (173)
+ InfoMode (34908)
+ Mapillary (1.5.18)
+ OpeningHoursEditor (34977)
+ PicLayer (35104)
+ RoadSigns (UNKNOWN)
+ alignways (34977)
+ apache-commons (34908)
+ apache-http (34908)
+ buildings_tools (34982)
+ conflation (0.6.3)
+ contourmerge (v0.1.4)
+ ejml (35049)
+ ext_tools (34988)
+ fieldpapers (v0.5.0)
+ geochat (34977)
+ geojson (124)
+ geotools (34908)
+ gpsblam (34908)
+ gpxfilter (34908)
+ graphview (34977)
+ gson (34908)
+ imagery_offset_db (34908)
+ jaxb (35014)
+ jna (34908)
+ jts (35064)
+ log4j (34908)
+ mapdust (35039)
+ measurement (35051)
+ merge-overlap (35072)
+ opendata (35102)
+ osm-obj-info (51)
+ osmarender (34908)
+ pbf (35033)
+ photo_geotagging (34908)
+ reltoolbox (34977)
+ reverter (35084)
+ routing (35039)
+ scripting (30796)
+ tageditor (34977)
+ turnlanes (34994)
+ turnlanes-tagging (281)
+ turnrestrictions (34977)
+ undelete (34977)
+ utilsplugin2 (35098)
+ waypoint_search (34977)
+ wikipedia (v1.1.1)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/OneClick&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/OpenPisteMap&preset&zip=1
+ http://osmtools.de/josm/steps.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/geoimage.at&preset&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/BicycleJunction&preset&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Turistautkapcsolat&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Crafts&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Maxspeed-zones&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/OpenPisteMap&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/SkiingTrail&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/MountainbikeTrails&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Communication_Towers&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Industrial&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/LaneAttributes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Leaftype&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Telecom&zip=1
+ https://raw.githubusercontent.com/yopaseopor/traffic_signs_preset_JOSM/master/HU.zip
+ https://josm.openstreetmap.de/josmfile?page=Presets/Trees&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Telecom&zip=1

Map paint styles:
- <josm.pref>/<user.name>/SurfaceTracktype.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Styles/Osmc&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/NumberedWalkingNodeNetworks&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/MaxspeedIcons&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface&style&zip=1
+ <josm.pref>/<user.name>/BikeNoAccess.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Modified&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Noname&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Fixme&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_features&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_features_ryg&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Landcover&zip=1
- https://drive.google.com/uc?export=download&id=0ByBzOup047W9UWo0SWpoSzZOQVE
- https://josm.openstreetmap.de/josmfile?page=Styles/HU-HighlightHikingTrailSigns&style&zip=1
+ <josm.pref>/<user.name>/heyjoe_tuhu_unprocessed.mapcss
+ http://kolesar.turistautak.hu/osm/styles/measurements.mapcss
+ <josm.pref>/ebdirigo/style.zip

Last errors/warnings:
- W: Not a single layer for the name 'Bing Sat': []
- W: Not a single layer for the name 'Bing Sat': []
- W: Not a single layer for the name 'Bing Sat': []
- E: Failed to locate image 'traffic_signs/HU/HU_C-031.png.png'
- W:  No overtaking: Could not get presets icon traffic_signs/HU/HU_C-031.png.png
- W: No configuration settings found.  Using hardcoded default values for all pools.
- W: Warning: Failed to scan file 'site-svn.openstreetmap.org-_applications_editors_josm_plugins_opendata_modules.txt' for module information. Skipping.
- E: Handled by bug report queue: java.lang.ClassCastException: org.openstreetmap.josm.gui.widgets.QuadStateCheckBox$QuadStateDecorator cannot be cast to java.desktop/javax.swing.JToggleButton$ToggleButtonModel
- E: Handled by bug report queue: java.lang.ClassCastException: org.openstreetmap.josm.gui.widgets.QuadStateCheckBox$QuadStateDecorator cannot be cast to java.desktop/javax.swing.JToggleButton$ToggleButtonModel
- E: Handled by bug report queue: java.lang.ClassCastException: org.openstreetmap.josm.gui.widgets.QuadStateCheckBox$QuadStateDecorator cannot be cast to java.desktop/javax.swing.JToggleButton$ToggleButtonModel


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-0 (19) of main
java.lang.ClassCastException: org.openstreetmap.josm.gui.widgets.QuadStateCheckBox$QuadStateDecorator cannot be cast to java.desktop/javax.swing.JToggleButton$ToggleButtonModel
	at java.desktop/javax.swing.LayoutFocusTraversalPolicy.accept(LayoutFocusTraversalPolicy.java:243)
	at java.desktop/javax.swing.SortingFocusTraversalPolicy.getFirstComponent(SortingFocusTraversalPolicy.java:492)
	at java.desktop/javax.swing.LayoutFocusTraversalPolicy.getFirstComponent(LayoutFocusTraversalPolicy.java:167)
	at java.desktop/javax.swing.DefaultFocusManager.getFirstComponent(DefaultFocusManager.java:142)
	at java.desktop/javax.swing.LegacyGlueFocusTraversalPolicy.getFirstComponent(LegacyGlueFocusTraversalPolicy.java:133)
	at java.desktop/javax.swing.LegacyGlueFocusTraversalPolicy.getDefaultComponent(LegacyGlueFocusTraversalPolicy.java:151)
	at java.desktop/java.awt.FocusTraversalPolicy.getInitialComponent(FocusTraversalPolicy.java:169)
	at java.desktop/java.awt.Window.getMostRecentFocusOwner(Window.java:2355)
	at java.desktop/java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:746)
	at java.desktop/java.awt.Component.dispatchEventImpl(Component.java:4842)
	at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2317)
	at java.desktop/java.awt.Window.dispatchEventImpl(Window.java:2758)
	at java.desktop/java.awt.Component.dispatchEvent(Component.java:4793)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:766)
	at java.desktop/java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.desktop/java.awt.EventQueue$3.run(EventQueue.java:717)
	at java.desktop/java.awt.EventQueue$3.run(EventQueue.java:711)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:89)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:99)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:739)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:737)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:89)
	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:736)
	at java.desktop/java.awt.SentEvent.dispatch(SentEvent.java:70)
	at java.desktop/java.awt.DefaultKeyboardFocusManager$DefaultKeyboardFocusManagerSentEvent.dispatch(DefaultKeyboardFocusManager.java:233)
	at java.desktop/java.awt.DefaultKeyboardFocusManager.sendMessage(DefaultKeyboardFocusManager.java:260)
	at java.desktop/java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:364)
	at java.desktop/java.awt.Component.dispatchEventImpl(Component.java:4842)
	at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2317)
	at java.desktop/java.awt.Window.dispatchEventImpl(Window.java:2758)
	at java.desktop/java.awt.Component.dispatchEvent(Component.java:4793)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:766)
	at java.desktop/java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.desktop/java.awt.EventQueue$3.run(EventQueue.java:717)
	at java.desktop/java.awt.EventQueue$3.run(EventQueue.java:711)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:89)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:99)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:739)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:737)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:89)
	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:736)
	at java.desktop/java.awt.SequencedEvent.dispatch(SequencedEvent.java:132)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:764)
	at java.desktop/java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.desktop/java.awt.EventQueue$3.run(EventQueue.java:717)
	at java.desktop/java.awt.EventQueue$3.run(EventQueue.java:711)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:89)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:99)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:739)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:737)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:89)
	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:736)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:199)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:117)
	at java.desktop/java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:190)
	at java.desktop/java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:235)
	at java.desktop/java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:233)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.desktop/java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:233)
	at java.desktop/java.awt.Dialog.show(Dialog.java:1070)
	at java.desktop/java.awt.Component.show(Component.java:1669)
	at java.desktop/java.awt.Component.setVisible(Component.java:1616)
	at java.desktop/java.awt.Window.setVisible(Window.java:1017)
	at java.desktop/java.awt.Dialog.setVisible(Dialog.java:1005)
	at org.openstreetmap.josm.gui.ExtendedDialog.setVisible(ExtendedDialog.java:459)
	at org.openstreetmap.josm.gui.ExtendedDialog.showDialog(ExtendedDialog.java:255)
	at org.openstreetmap.josm.gui.tagging.presets.TaggingPreset$PresetDialog.<init>(TaggingPreset.java:468)
	at org.openstreetmap.josm.gui.tagging.presets.TaggingPreset.showDialog(TaggingPreset.java:511)
	at org.openstreetmap.josm.gui.dialogs.properties.PresetListPanel$LabelMouseAdapter.mouseClicked(PresetListPanel.java:42)
	at java.desktop/java.awt.AWTEventMulticaster.mouseClicked(AWTEventMulticaster.java:278)
	at java.desktop/java.awt.Component.processMouseEvent(Component.java:6581)
	at java.desktop/javax.swing.JComponent.processMouseEvent(JComponent.java:3343)
	at java.desktop/java.awt.Component.processEvent(Component.java:6343)
	at java.desktop/java.awt.Container.processEvent(Container.java:2259)
	at java.desktop/java.awt.Component.dispatchEventImpl(Component.java:4961)
	at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2317)
	at java.desktop/java.awt.Component.dispatchEvent(Component.java:4793)
	at java.desktop/java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4904)
	at java.desktop/java.awt.LightweightDispatcher.processMouseEvent(Container.java:4548)
	at java.desktop/java.awt.LightweightDispatcher.dispatchEvent(Container.java:4480)
	at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2303)
	at java.desktop/java.awt.Window.dispatchEventImpl(Window.java:2758)
	at java.desktop/java.awt.Component.dispatchEvent(Component.java:4793)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:766)
	at java.desktop/java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.desktop/java.awt.EventQueue$3.run(EventQueue.java:717)
	at java.desktop/java.awt.EventQueue$3.run(EventQueue.java:711)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:89)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:99)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:739)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:737)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:89)
	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:736)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:199)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)

=== RUNNING THREADS ===
Thread: RemoteControl HTTPS Server (55) of main
java.base@9.0.4/java.net.PlainSocketImpl.socketAccept(Native Method)
java.base@9.0.4/java.net.AbstractPlainSocketImpl.accept(AbstractPlainSocketImpl.java:459)
java.base@9.0.4/java.net.ServerSocket.implAccept(ServerSocket.java:551)
java.base@9.0.4/sun.security.ssl.SSLServerSocketImpl.accept(SSLServerSocketImpl.java:352)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpsServer.run(RemoteControlHttpsServer.java:404)

Thread: styled-map-renderer-29 (179) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1668)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:175)

Thread: Signal Dispatcher (4) of system

Thread: AWT-EventQueue-0 (19) of main
Stacktrace see above.

Thread: styled-map-renderer-25 (173) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1656)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:175)

Thread: TMS-downloader-7 (94) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2062)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1092)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: JCS-ElementEventQueue-Thread-1 (39) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2062)
java.base@9.0.4/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:435)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1092)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: styled-map-renderer-28 (178) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1656)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:175)

Thread: Thread-7 (73) of main
java.base@9.0.4/java.lang.Thread.sleep(Native Method)
geochat.ChatServerConnection$LogRequest.run(ChatServerConnection.java:336)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: styled-map-renderer-31 (525) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1668)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:175)

Thread: FileSystemWatchService (23) of main
java.base@9.0.4/sun.nio.fs.LinuxWatchService.poll(Native Method)
java.base@9.0.4/sun.nio.fs.LinuxWatchService.access$600(LinuxWatchService.java:47)
java.base@9.0.4/sun.nio.fs.LinuxWatchService$Poller.run(LinuxWatchService.java:316)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: TMS-downloader-9 (96) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2062)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1092)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: TimerQueue (22) of system
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2062)
java.base@9.0.4/java.util.concurrent.DelayQueue.take(DelayQueue.java:217)
java.desktop@9.0.4/javax.swing.TimerQueue.run(TimerQueue.java:171)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: TMS-downloader-1 (88) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2062)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1092)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: Timer-2 (68) of main
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.Object.wait(Object.java:516)
java.base@9.0.4/java.util.TimerThread.mainLoop(Timer.java:527)
java.base@9.0.4/java.util.TimerThread.run(Timer.java:506)

Thread: ForkJoinPool.commonPool-worker-1 (215) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1668)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:175)

Thread: TMS-downloader-0 (87) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2062)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1092)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: Timer-1 (54) of main
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.util.TimerThread.mainLoop(Timer.java:553)
java.base@9.0.4/java.util.TimerThread.run(Timer.java:506)

Thread: RemoteControl HTTP Server (52) of main
java.base@9.0.4/java.net.PlainSocketImpl.socketAccept(Native Method)
java.base@9.0.4/java.net.AbstractPlainSocketImpl.accept(AbstractPlainSocketImpl.java:459)
java.base@9.0.4/java.net.ServerSocket.implAccept(ServerSocket.java:551)
java.base@9.0.4/java.net.ServerSocket.accept(ServerSocket.java:519)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

Thread: pool-4-thread-17 (534) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:234)
java.base@9.0.4/java.util.concurrent.SynchronousQueue$TransferStack.awaitFulfill(SynchronousQueue.java:462)
java.base@9.0.4/java.util.concurrent.SynchronousQueue$TransferStack.transfer(SynchronousQueue.java:361)
java.base@9.0.4/java.util.concurrent.SynchronousQueue.poll(SynchronousQueue.java:937)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1091)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: DestroyJavaVM (59) of main

Thread: GT authority factory disposer (44) of main
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.Object.wait(Object.java:516)
java.base@9.0.4/java.util.TimerThread.mainLoop(Timer.java:527)
java.base@9.0.4/java.util.TimerThread.run(Timer.java:506)

Thread: styled-map-renderer-27 (177) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1656)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:175)

Thread: TMS-downloader-4 (91) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2062)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1092)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: styled-map-renderer-10 (152) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1656)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:175)

Thread: Timer-0 (49) of main
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.util.TimerThread.mainLoop(Timer.java:553)
java.base@9.0.4/java.util.TimerThread.run(Timer.java:506)

Thread: bug-report-display (471) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.FutureTask.awaitDone(FutureTask.java:447)
java.base@9.0.4/java.util.concurrent.FutureTask.get(FutureTask.java:190)
app//org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWaitAndReturn(GuiHelper.java:270)
app//org.openstreetmap.josm.gui.bugreport.BugReportDialog.showFor(BugReportDialog.java:232)
app//org.openstreetmap.josm.gui.MainApplication$$Lambda$29/1182461167.handle(Unknown Source)
app//org.openstreetmap.josm.tools.bugreport.BugReportQueue.displayFor(BugReportQueue.java:134)
app//org.openstreetmap.josm.tools.bugreport.BugReportQueue.access$200(BugReportQueue.java:17)
app//org.openstreetmap.josm.tools.bugreport.BugReportQueue$BugReportDisplayRunnable.run(BugReportQueue.java:100)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: TMS-downloader-2 (89) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2062)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1092)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: styled-map-renderer-16 (160) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1668)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:175)

Thread: pool-4-thread-16 (533) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:234)
java.base@9.0.4/java.util.concurrent.SynchronousQueue$TransferStack.awaitFulfill(SynchronousQueue.java:462)
java.base@9.0.4/java.util.concurrent.SynchronousQueue$TransferStack.transfer(SynchronousQueue.java:361)
java.base@9.0.4/java.util.concurrent.SynchronousQueue.poll(SynchronousQueue.java:937)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1091)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: TMS-downloader-8 (95) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2062)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1092)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: RemoteControl HTTPS Server (53) of main
java.base@9.0.4/java.net.PlainSocketImpl.socketAccept(Native Method)
java.base@9.0.4/java.net.AbstractPlainSocketImpl.accept(AbstractPlainSocketImpl.java:459)
java.base@9.0.4/java.net.ServerSocket.implAccept(ServerSocket.java:551)
java.base@9.0.4/sun.security.ssl.SSLServerSocketImpl.accept(SSLServerSocketImpl.java:352)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpsServer.run(RemoteControlHttpsServer.java:404)

Thread: styled-map-renderer-32 (536) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1656)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:175)

Thread: Java2D Disposer (15) of system
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:151)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:172)
java.desktop@9.0.4/sun.java2d.Disposer.run(Disposer.java:144)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: Common-Cleaner (10) of InnocuousThreadGroup
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:151)
java.base@9.0.4/jdk.internal.ref.CleanerImpl.run(CleanerImpl.java:148)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)
java.base@9.0.4/jdk.internal.misc.InnocuousThread.run(InnocuousThread.java:122)

Thread: Reference Handler (2) of system
java.base@9.0.4/java.lang.ref.Reference.waitForReferencePendingList(Native Method)
java.base@9.0.4/java.lang.ref.Reference.processPendingReferences(Reference.java:174)
java.base@9.0.4/java.lang.ref.Reference.access$000(Reference.java:44)
java.base@9.0.4/java.lang.ref.Reference$ReferenceHandler.run(Reference.java:138)

Thread: main-worker-0 (67) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2062)
java.base@9.0.4/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:435)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1092)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: ForkJoinPool.commonPool-worker-0 (524) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1668)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:175)

Thread: ForkJoinPool.commonPool-worker-10 (216) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1656)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:175)

Thread: TMS-downloader-6 (93) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2062)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1092)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: TMS-downloader-5 (92) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2062)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1092)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: message-notifier-0 (57) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:234)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:2104)
java.base@9.0.4/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:1131)
java.base@9.0.4/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:848)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1092)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: Finalizer (3) of system
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:151)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:172)
java.base@9.0.4/java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:216)

Thread: ForkJoinPool.commonPool-worker-14 (452) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1668)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:175)

Thread: File Watcher (24) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2062)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.take(LinkedBlockingDeque.java:671)
java.base@9.0.4/sun.nio.fs.AbstractWatchService.take(AbstractWatchService.java:118)
app//org.openstreetmap.josm.io.FileWatcher.processEvents(FileWatcher.java:120)
app//org.openstreetmap.josm.io.FileWatcher$$Lambda$269/1009916891.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: ForkJoinPool.commonPool-worker-9 (75) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1668)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:175)

Thread: Timer-3 (86) of main
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.Object.wait(Object.java:516)
java.base@9.0.4/java.util.TimerThread.mainLoop(Timer.java:527)
java.base@9.0.4/java.util.TimerThread.run(Timer.java:506)

Thread: Weak reference cleaner (25) of main
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:151)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:172)
app//org.openstreetmap.josm.tools.ListenableWeakReference.clean(ListenableWeakReference.java:60)
app//org.openstreetmap.josm.tools.ListenableWeakReference$$Lambda$292/806588571.run(Unknown Source)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: pool-4-thread-18 (535) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:234)
java.base@9.0.4/java.util.concurrent.SynchronousQueue$TransferStack.awaitFulfill(SynchronousQueue.java:462)
java.base@9.0.4/java.util.concurrent.SynchronousQueue$TransferStack.transfer(SynchronousQueue.java:361)
java.base@9.0.4/java.util.concurrent.SynchronousQueue.poll(SynchronousQueue.java:937)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1091)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: WeakCollectionCleaner (45) of main
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:151)
java.base@9.0.4/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:172)
org.geotools.util.WeakCollectionCleaner.run(WeakCollectionCleaner.java:66)

Thread: Map Status Collector (70) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2062)
java.base@9.0.4/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:435)
app//org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:434)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: TMS-downloader-3 (90) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2062)
java.base@9.0.4/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1092)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: styled-map-renderer-30 (210) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@9.0.4/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1656)
java.base@9.0.4/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:175)

Thread: image-fetcher-0 (35) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2062)
java.base@9.0.4/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:435)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1092)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: changeset-updater-0 (58) of main
java.base@9.0.4/jdk.internal.misc.Unsafe.park(Native Method)
java.base@9.0.4/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:234)
java.base@9.0.4/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:2104)
java.base@9.0.4/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:1131)
java.base@9.0.4/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:848)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1092)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1152)
java.base@9.0.4/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: RemoteControl HTTP Server (51) of main
java.base@9.0.4/java.net.PlainSocketImpl.socketAccept(Native Method)
java.base@9.0.4/java.net.AbstractPlainSocketImpl.accept(AbstractPlainSocketImpl.java:459)
java.base@9.0.4/java.net.ServerSocket.implAccept(ServerSocket.java:551)
java.base@9.0.4/java.net.ServerSocket.accept(ServerSocket.java:519)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

Thread: AWT-XAWT (18) of system
java.desktop@9.0.4/sun.awt.X11.XToolkit.waitForEvents(Native Method)
java.desktop@9.0.4/sun.awt.X11.XToolkit.run(XToolkit.java:588)
java.desktop@9.0.4/sun.awt.X11.XToolkit.run(XToolkit.java:552)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Thread: AWT-Shutdown (20) of system
java.base@9.0.4/java.lang.Object.wait(Native Method)
java.base@9.0.4/java.lang.Object.wait(Object.java:516)
java.desktop@9.0.4/sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:291)
java.base@9.0.4/java.lang.Thread.run(Thread.java:844)

Attachments (0)

Change History (10)

comment:1 Changed 7 months ago by Don-vip

Keywords: java9 added
Owner: changed from team to grinapo
Status: newneedinfo

Java 9 is EOL for a long time now (as for Java 10 too).
Supported versions of Java are currently 8 and 11.
Debian provides Java 11 out of the box, can you please try to update?

comment:2 Changed 7 months ago by Don-vip

Summary: repeated crashes using presetsClassCastException with Java 9

comment:3 Changed 7 months ago by grinapo

Absolutely yes. It was forced when HiDPI was very broken in old java, and since I am not a java guy forgot to fiddle since. Let me see.

comment:4 Changed 7 months ago by grinapo

Cannot reproduce (in a short series of tests) on java 11. You can close at will.

(Sidenote: can't start via jnlp anymore. The code is icedtea-web: (1.8.3), 8/9/19, 5:37 PM
java.lang.ClassNotFoundException: org.apache.xerces.jaxp.validation.XMLSchemaFactory
netx: Launch Error: Could not launch JNLP file. ( (Provider for class javax.xml.validation.SchemaFactory cannot be created (javax.xml.validation.SchemaFactory: Provider org.apache.xerces.jaxp.validation.XMLSchemaFactory not found)))

comment:5 Changed 7 months ago by Don-vip

Resolution: worksforme
Status: needinfoclosed

OK, thanks for confirmation.

I am aware there are issues with Icedtea-web, I have not began my extensive testing of it yet.

comment:6 Changed 7 months ago by Don-vip

Ticket #18096 has been marked as a duplicate of this ticket.

comment:7 Changed 6 months ago by Don-vip

Ticket #18167 has been marked as a duplicate of this ticket.

comment:8 Changed 5 months ago by Don-vip

Ticket #18291 has been marked as a duplicate of this ticket.

comment:9 Changed 4 months ago by skyper

Ticket #18342 has been marked as a duplicate of this ticket.

comment:10 Changed 4 months ago by Don-vip

Ticket #18354 has been marked as a duplicate of this ticket.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain grinapo.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.